package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 标签分类对象 dim_ems_tag
 * 
 * @author ruoyi
 * @date 2024-07-31
 */
public class EmsTag extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 标签模型 */
    private String tagModel;

    /** 标签代码 */
    private String tagCode;

    /** 标签名称 */
    private String tagName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTagModel(String tagModel) 
    {
        this.tagModel = tagModel;
    }

    public String getTagModel() 
    {
        return tagModel;
    }
    public void setTagCode(String tagCode) 
    {
        this.tagCode = tagCode;
    }

    public String getTagCode() 
    {
        return tagCode;
    }
    public void setTagName(String tagName) 
    {
        this.tagName = tagName;
    }

    public String getTagName() 
    {
        return tagName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tagModel", getTagModel())
            .append("tagCode", getTagCode())
            .append("tagName", getTagName())
            .toString();
    }
}
